---
title: Šablony pro integraci STM na web
---

<p>Projekt se všemi šablonami naleznete na <a href="https://gitlab.com/zdenekdrahos-upce/stm/stm-webapi" target="_blank">Gitlab</a>.
K těmto šablonám nejsou k dispozici žádné náhledy ani CSS styly, protože se většinou jedná o základní výpisy do
seznamů, tabulek, který si každý nastyluje podle vlastní potřeby. Načtení dat je vždy přímo přes STM, ale 
pro jednodušší přístup k STM můžete nově využít i <a href="webapi.html">WebAPI</a>.</p>
<ul>
    <li><strong>Klub</strong> – přehled informací o klubu, jeho týmech a členech.</li>
    <li><strong>Tým</strong> – informace o týmu, soutěžích, členech, posledním a příštím zápase.</li>
    <li><strong>Osoba</strong> – základní informace, atributy, kluby, týmy, zápasy se zápisem do statistik, rozhodčí.</li>
    <li>
        <strong>Soutěž</strong> – informace o soutěži, týmy, zápasy a další soutěže z kategorie.
        <ul>
            <li><strong>Sezóna</strong> – tabulky, křížová tabulka, pozice týmu v tabulce po kolech.</li>
            <li><strong>Playoff</strong> – série, zápasy z jedné série, playoff pavouk.</li>
        </ul>
    </li>
    <li><strong>Zápas</strong> – informace, periody, detail, sestavy, hráčské a týmové akce, rozhodčí, statistiky tipování.</li>
    <li><strong>Zápasy</strong> – výpis zápasů, tabulka, žebříček a statistiky tipování, statistiky týmu.</li>
</ul>
<p>Aby PHP kódy fungovaly, tak musíte nejprve inicializovat STM vložením souboru bootstrap.php:</p>
<code>&lt;?php require_once('cesta k vašemu STM' . '/stm/bootstrap.php'); ?&gt;</code>